@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body{
    padding: 0px;
    margin: 0px;
    font-family: "Montserrat", sans-serif;
}

#wrap{
    padding: 0px;
    margin: 0px;
    width: 100%;
    background-color: orange;
}

#logo{
    width: 100%;
    height: 80px;
    display: flex;
    justify-content: end;
    background-color: orangered;
    font-family: "Montserrat", sans-serif;
}

#ua{
    height: 40px;
    width: 150px;
    color: white;
    font-size: 20px;
    margin: 30px;
    transition: ease 0.3s scale, ease 0.3s color;
}

#ua:hover{
    color: blue;
    text-decoration: underline yellow;
    scale: 1.1;
}

#eng{
    height: 40px;
    width: 150px;
    color: white;
    font-size: 20px;
    margin: 30px;
    transition: ease 0.3s scale, ease 0.3s color;
}

#eng:hover{
    color: #00247D;
    text-decoration: underline #CF142B;
    scale: 1.1;
}

#me{
    width: 270px;
    height: 350px;
    margin: 10px;
}

#txt{
    font-size: 25px;
    color: white;
    margin: 60px 10px;
}

#skill{
    font-size: 25px;
    color: white;
    margin: 10px;
    text-align: center;
}

#mate{
    width: 400px;
    height: 130px;
    margin: 10px;
}

#lead{
    color: white;
    font-size: 30px;
    margin: 20px 65% 20px 10px;
    height: 40px;
    width: 40%;
}

#cont{
    background-color: orangered;
    color: white;
    font-size: 25px;
    height: 100px;
    display: flex;
    justify-content: space-between;
}

#foot{
    margin: 20px 15px;
    font-size: 15px;
    width: 2000px;
    height: 60px;
}

#cont-block{
    margin: 10px;
    width: 600px;
    height: 80px;
    display: flex;
}

#tg:hover{
    background-color: #3ab6e7;
    color: white;
}

#tg{
    width: 300px;
    height: 80px;
    background-color: white;
    color: #3ab6e7;
    border-radius: 20px;
    border: none;
    font-size: 20px;
    display: flex;
    transition: background-color 0.3s ease, color 0.3s ease;
}

#tg-txt{
    width: 150px;
    height: 30px;
    margin: 25px 10px;
    text-align: center;
    font-size: 30px;
}

#text{
    margin: 10px;
}

#tg-pic{
    width: 50px;
    height: 50px;
    margin: 12px 0px 12px 12px;
}

a{
    text-decoration: none;
    color: #3ab6e7;
    width: 260px;
    height: 80px;
}

a:hover{
    color: white;
}

#flex-block{
    display: flex;
    width: 100%;
    height: 400px;
    justify-content: left;
}

#mate-btn{
    width: 500px;
    height: 200px;
    margin: 10px 29%;
    background-color: orange;
    border: none;
    transition: ease 0.3s scale;
}

#mate-btn:hover{
    scale: 1.05;
}

@media (max-width: 426px) {
    body{
        width: 425px;
        padding: 0px;
        margin: 0px;
        font-family: "Montserrat", sans-serif;
    }

    #wrap{
        padding: 0px;
        margin: 0px;
        height: 630px;
        width: 425px;
        background-color: orange;
    }

    #logo{
        width: 425px;
        height: 50px;
        display: flex;
        justify-content: end;
        background-color: orangered;
        font-family: "Montserrat", sans-serif;
    }

    #ua{
        height: 40px;
        width: 50px;
        color: white;
        font-size: 15px;
        margin: 10px;
        transition: ease 0.3s scale, ease 0.3s color;
    }

    #ua:hover{
        color: blue;
        text-decoration: underline yellow;
        scale: 1.1;
    }

    #eng{
        height: 40px;
        width: 50px;
        color: white;
        font-size: 15px;
        margin: 10px;
        transition: ease 0.3s scale, ease 0.3s color;
    }

    #eng:hover{
        color: #00247D;
        text-decoration: underline #CF142B;
        scale: 1.1;
    }

    #me{
        width: 100px;
        height: 140px;
        margin: 15px 10px;
    }

    #txt{
        font-size: 12px;
        color: white;
        margin: 10px;
        height: 150px;
    }

    #skill{
        font-size: 15px;
        color: white;
        margin: 10px;
        text-align: center;
    }

    #mate{
        width: 200px;
        height: 70px;
        margin: 0px;
        padding: 0px;
    }

    #lead{
        color: white;
        font-size: 20px;
        margin: 10px;
        height: 40px;
        width: 80%;
    }

    #cont{
        background-color: orangered;
        color: white;
        font-size: 25px;
        height: 100px;
        display: flex;
        justify-content: space-between;
    }

    #foot{
        margin: 20px;
        font-size: 10px;
        width: 500px;
        height: 60px;
    }

    #cont-block{
        margin: 10px;
        height: 80px;
        display: flex;
    }

    #tg:hover{
        background-color: #3ab6e7;
        color: white;
    }

    #tg{
        width: 170px;
        height: 60px;
        background-color: #3ab6e7;
        color: white;
        margin: 10px;
        border-radius: 10px;
        border: none;
        font-size: 15px;
        display: flex;
        transition: background-color 0.3s ease, color 0.3s ease;
    }

    #tg-txt{
        width: 50px;
        height: 30px;
        margin: 15px 10px;
        text-align: center;
        font-size: 20px;
    }

    #text{
        margin: 10px;
    }

    #tg-pic{
        width: 40px;
        height: 40px;
        margin: 9px 0px 5px 5px;
    }

    a{
        text-decoration: none;
        color: white;
        width: 260px;
        height: 50px;
    }

    a:hover{
        color: white;
    }

    #flex-block{
        width: 100%;
        height: 160px;
        display: flex;
    }

    #mate-btn{
        width: 200px;
        height: 70px;
        margin: 140px 110px;
        background-color: orange;
        border: none;
        transition: ease 0.3s scale;
    }

    #mate-btn:hover{
        scale: 1.05;
    }
}